PyLib.CallableKind (Java-Python Bridge 0.9-SNAPSHOT Java API)
Date: 2017-05-04

org.jpy

## Enum PyLib.CallableKind

- java.lang.Object
- - java.lang.Enum<PyLib.CallableKind>
  - - org.jpy.PyLib.CallableKind

- All Implemented Interfaces:
    Serializable, Comparable<PyLib.CallableKind>
  Enclosing class:
    PyLib

      public static enum PyLib.CallableKind
      extends Enum<PyLib.CallableKind>

  The kind of callable Python objects.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FUNCTION` Function call without the Python `self` as first argument.
    `METHOD` An instance method call with the Python `self` (= the instance) as first argument.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PyLib.CallableKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PyLib.CallableKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FUNCTION

          public static final PyLib.CallableKind FUNCTION

      Function call without the Python `self` as first argument.

    - #### METHOD

          public static final PyLib.CallableKind METHOD

      An instance method call with the Python `self` (= the instance) as first argument.

  - ### Method Detail

    - #### values

          public static PyLib.CallableKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PyLib.CallableKind c : PyLib.CallableKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PyLib.CallableKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014–2017 Brockmann Consult GmbH. All rights reserved.